import React, { FC } from 'react';
import { Text } from 'react-native';
import { styles } from './styles';
import { TextModel } from '../../textModels';

export const SubtitleMediumText: FC<TextModel> = ({
  numberOfLines,
  children,
  color,
  onTextClick,
}) => {
  return (
    <Text onPress={onTextClick} style={[styles.text, Boolean(color) && { color }]} numberOfLines={numberOfLines}>
      {children}
    </Text>
  );
};
