import { StyleSheet } from 'react-native';
import { getThemeColorByDefaultColor } from '../../../../utils';

export const styles = StyleSheet.create({
  safeAreaTop: {
    flex: 1,
    backgroundColor: getThemeColorByDefaultColor('background', 'light'),
  },
  safeAreaBottom: {
    flex: 0,
    backgroundColor: getThemeColorByDefaultColor('background', 'extraLight'),
  },
});
