import { MonthNumber } from '../../calendarModel';

export enum PressControlOptions {
  PREVIOUS_YEAR = 'previousYear',
  PREVIOUS_MONTH = 'previousMonth',
  NEXT_MONTH = 'nextMonth',
  NEXT_YEAR = 'nextYear',
}

export interface CalendarControlsProps {
  monthName: string;
  monthNumber: MonthNumber;
  yearData: number;
  onGoToMonthNumberAndYear?: (params: { 
    selectedMonthNumber: MonthNumber, 
    selectedYear: number, 
    pressControlOption: PressControlOptions 
  }) => void;
  disabled?: boolean;
}

export type HandleOnDatePress = (pressControlOption: PressControlOptions) => void;
