import { StyleSheet, ViewStyle } from 'react-native';
import { spacingSizes } from '../../constants';

interface Style {
  calendarWrapper: ViewStyle;
  calendarGap: ViewStyle;
}

export const styles = StyleSheet.create<Style>({
  calendarWrapper: {
    maxWidth: 360,
    width: '100%',
  },
  calendarGap: {
    height: spacingSizes.large,
  },
});
